



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>C语言之Static</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">C语言之Static</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-08 10:20:56 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p><strong>1、全局静态变量</strong></p>
<p>在全局变量之前加上关键字static，全局变量就被定义成为一个全局静态变量。</p>
<p>1）内存中的位置：静态存储区（静态存储区在整个程序运行期间都存在）</p>
<p>2）初始化：未经初始化的全局静态变量会被程序自动初始化为0（如果不是静态变量则是任意值）</p>
<p>3）作用域：全局静态变量在声明他的文件之外是不可见的。准确地讲从定义之处开始到文件结尾可见，在其他文件中是不可见的。</p>
<p>看下面关于作用域的程序：</p>
<p>Test01：</p>
<div>
<pre class="prettyprint linenums">static int num = ;

void demo(){

　　printf("%d",num);

}</pre>
</div>
<p>Test02：</p>
<div>
<pre class="prettyprint linenums">void demo();

extern int num;

int main(){

num = ;

printf("%d\n",num);

demo();

return ;

}</pre>
</div>
<p>在Test01文件中定义num是全局静态变量，如果在Test02文件中要声明的话，则会出错：</p>
<table>
<tbody>
<tr>
<td>
<p>Linking...</p>
<p>test02.obj&nbsp;:&nbsp;error&nbsp;LNK2001:&nbsp;unresolved&nbsp;external&nbsp;symbol&nbsp;_num</p>
<p>Debug/demo.exe&nbsp;:&nbsp;fatal&nbsp;error&nbsp;LNK1120:&nbsp;1&nbsp;unresolved&nbsp;externals</p>
<p>执行&nbsp;link.exe&nbsp;时出错.</p>
</td>
</tr>
</tbody>
</table>
<p>因此，声明为全局变量的变量只能在本文件中访问，其他文件不能访问。</p>
<p>定义全局静态变量的好处：</p>
<p>1）不会被其他文件所访问，修改。</p>
<p>2）其他文件中可以使用相同名字的变量，不会发生冲突。</p>
<p>我们可以看一下如果Test01文件中的num不是定义为static全局变量，而是一个全局变量，在Test02中对他进行访问（即用extern），则可以任意修改num的值。</p>
<p>Test01：</p>
<table>
<tbody>
<tr>
<td>
<p>#include&nbsp;&lt;stdio.h&gt;</p>
<p>int&nbsp;num&nbsp;=&nbsp;10;</p>
<p>void&nbsp;demo(){</p>
<p>printf("test01:%d\n",num);</p>
<p>}</p>
</td>
</tr>
</tbody>
</table>
<p>Test02：</p>
<table>
<tbody>
<tr>
<td>
<p>void&nbsp;demo();</p>
<p>extern&nbsp;int&nbsp;num;</p>
<p>int&nbsp;main(){</p>
<p>num&nbsp;=&nbsp;20;</p>
<p>printf("test02:%d\n",num);</p>
<p>demo();</p>
<p>return&nbsp;0;</p>
<p>}</p>
</td>
</tr>
</tbody>
</table>
<p>输出结果为：(num在test02中被改变了。)</p>
<table>
<tbody>
<tr>
<td>
<p>test02:20</p>
<p>test01:20</p>
</td>
</tr>
</tbody>
</table>
<p>注意：如果你要想在Test02文件中引用Test01文件的num，你必须对它进行声明extern，就好像声明函数一样，要不Test02文件中不知道num在哪里定义的。</p>
<p>在Test01中定义为全局变量的num，在Test02中并不对他进行声明，而是重新定义一个全局变量num，则这两个num会有冲突。</p>
<p>Test01：</p>
<table>
<tbody>
<tr>
<td>
<p>#include&nbsp;&lt;stdio.h&gt;</p>
<p>int&nbsp;num&nbsp;=&nbsp;10;</p>
<p>void&nbsp;demo(){</p>
<p>printf("test01:%d\n",num);</p>
<p>}</p>
</td>
</tr>
</tbody>
</table>
<p>Test02：</p>
<table>
<tbody>
<tr>
<td>
<p>void&nbsp;demo();</p>
<p>int&nbsp;num&nbsp;=&nbsp;20;</p>
<p>int&nbsp;main(){</p>
<p>printf("test02:%d\n",num);</p>
<p>demo();</p>
<p>return&nbsp;0;</p>
<p>}</p>
</td>
</tr>
</tbody>
</table>
<p>输出结果为：</p>
<table>
<tbody>
<tr>
<td>
<p>test02.obj&nbsp;:&nbsp;error&nbsp;LNK2005:&nbsp;_num&nbsp;already&nbsp;defined&nbsp;in&nbsp;test01.obj</p>
<p>Debug/demo.exe&nbsp;:&nbsp;fatal&nbsp;error&nbsp;LNK1169:&nbsp;one&nbsp;or&nbsp;more&nbsp;multiply&nbsp;defined&nbsp;symbols&nbsp;found</p>
</td>
</tr>
</tbody>
</table>
<p>记住一句话：定义只是一次，而声明可以有多次。在Test02声明的时候已经对num进行全局变量，而全局变量的作用范围是整个工程文件，所以在Test02中对他进行再次定义的时候就会出现错误，所以要将它改为20是不可能的。</p>
<p>但是如果在Test02中对num定义为局部变量又是可以的。</p>
<p>Test01：</p>
<table>
<tbody>
<tr>
<td>
<p>#include&nbsp;&lt;stdio.h&gt;</p>
<p>int&nbsp;num&nbsp;=&nbsp;10;</p>
<p>void&nbsp;demo(){</p>
<p>printf("test01:%d\n",num);</p>
<p>}</p>
</td>
</tr>
</tbody>
</table>
<p>Test02：</p>
<table>
<tbody>
<tr>
<td>
<p>void&nbsp;demo();</p>
<p>int&nbsp;main(){</p>
<p>int&nbsp;num&nbsp;=&nbsp;20;</p>
<p>printf("test02:%d\n",num);</p>
<p>demo();</p>
<p>return&nbsp;0;</p>
<p>}</p>
</td>
</tr>
</tbody>
</table>
<p>输出结果为：</p>
<table>
<tbody>
<tr>
<td>
<p>test02:20</p>
<p>test01:10</p>
</td>
</tr>
</tbody>
</table>
<p>这时在Test02文件中定义的num是局部变量，它作用的范围只是在本函数中，所以与全局变量无冲突。</p>
<p><strong>2、&nbsp;局部静态变量</strong></p>
<p>在局部变量之前加上关键字static，局部变量就被定义成为一个局部静态变量。</p>
<p>1）内存中的位置：静态存储区（静态存储区在整个程序运行期间都存在）。</p>
<p>2）初始化：未经初始化的全局静态变量会被程序自动初始化为0（未初始化的变量的数值是任意的）。</p>
<p>3）作用域：作用域仍为局部作用域，当定义它的函数或者语句块结束的时候，作用域随之结束。</p>
<p>注：当static用来修饰局部变量的时候，它就改变了局部变量的存储位置，从原来的栈中存放改为静态存储区。静态局部变量只是声明并初始化一遍，但是局部静态变量在离开作用域之后，并没有被销毁，而是仍然驻留在内存当中，直到程序完全运行完毕才会释放，只不过我们不能再对他进行访问。</p>
<p>当static用来修饰全局变量的时候，它就改变了全局变量的作用域（在声明他的文件之外是不可见的），但是没有改变它的存放位置，还是在静态存储区中。</p>
<p>Test03：</p>
<table>
<tbody>
<tr>
<td>
<p>#include&nbsp;&lt;stdio.h&gt;</p>
<p>void&nbsp;fun(){</p>
<p>static&nbsp;int&nbsp;a;</p>
<p>printf("fun.a=%d\n&amp;a=%p\n",a,&amp;a);</p>
<p>}</p>
<p>int&nbsp;main(){</p>
<p>static&nbsp;int&nbsp;a&nbsp;=&nbsp;10;</p>
<p>printf("main.a=%d\n&amp;a=%p\n",a,&amp;a);</p>
<p>fun();</p>
<p>return&nbsp;0;</p>
<p>}</p>
</td>
</tr>
</tbody>
</table>
<p>输出结果为：</p>
<table>
<tbody>
<tr>
<td>
<p>main.a=10</p>
<p>&amp;a=00424A30</p>
<p>fun.a=0</p>
<p>&amp;a=00427C5C</p>
</td>
</tr>
</tbody>
</table>
<p>在main函数中定义了一个静态局部变量a，初始化为10,。但是a的作用域只是在main函数中，如果出了main函数，虽然a的空间不会释放，但是其他函数不能对他进行访问，所以在fun函数中，a重新定义一次，默认为0。</p>
<p><strong>3、静态函数</strong></p>
<p>在函数的返回类型前加上关键字static，函数就被定义成为静态函数。</p>
<p>函数的定义和声明默认情况下是extern的，即默认是可以被其他文件所用的，但是静态函数只是在声明他的文件当中可见，不能被其他文件所用。</p>
<p>Test04：</p>
<table>
<tbody>
<tr>
<td>
<p>#include&nbsp;&lt;stdio.h&gt;</p>
<p>static&nbsp;void&nbsp;staticfun(){</p>
<p>printf("staticfun()&nbsp;is&nbsp;not&nbsp;found!");</p>
<p>}</p>
<p>void&nbsp;fun(){</p>
<p>staticfun();</p>
<p>printf("fun()&nbsp;is&nbsp;found!");</p>
<p>}</p>
</td>
</tr>
</tbody>
</table>
<p>Test05:</p>
<table>
<tbody>
<tr>
<td>
<p>void&nbsp;fun();</p>
<p>static&nbsp;void&nbsp;staticfun();</p>
<p>int&nbsp;main(){</p>
<p>fun();</p>
<p>staticfun();</p>
<p>return&nbsp;0;</p>
<p>}</p>
</td>
</tr>
</tbody>
</table>
<p>输出结果：</p>
<table>
<tbody>
<tr>
<td>
<p>D:\InterviewQuestionC\demo\test05.c(8)&nbsp;:&nbsp;error&nbsp;C2129:&nbsp;static&nbsp;function&nbsp;'void&nbsp;__cdecl&nbsp;staticfun()'&nbsp;declared&nbsp;but&nbsp;not&nbsp;defined</p>
<p>D:\InterviewQuestionC\demo\test05.c(2)&nbsp;:&nbsp;see&nbsp;declaration&nbsp;of&nbsp;'staticfun'</p>
</td>
</tr>
</tbody>
</table>
<p>输出出错，因为在Test04中定义的静态函数只能在Test04文件中使用，而不能在其他文件中使用。所以运行报错。</p>
<p>但是如果在Test05文件中没有声明和调用Test04中的静态函数，即没有直接调用staticfun()函数，而是间接的调用，则是可以正常运行的。</p>
<p>Test04：</p>
<table>
<tbody>
<tr>
<td>
<p>#include&nbsp;&lt;stdio.h&gt;</p>
<p>static&nbsp;void&nbsp;staticfun(){</p>
<p>printf("staticfun()&nbsp;is&nbsp;not&nbsp;found!\n");</p>
<p>}</p>
<p>void&nbsp;fun(){</p>
<p>staticfun();</p>
<p>printf("fun()&nbsp;is&nbsp;found!\n");</p>
<p>}</p>
</td>
</tr>
</tbody>
</table>
<p>Test05：</p>
<table>
<tbody>
<tr>
<td>
<p>void&nbsp;fun();</p>
<p>int&nbsp;main(){</p>
<p>fun();</p>
<p>return&nbsp;0;</p>
<p>}</p>
</td>
</tr>
</tbody>
</table>
<p>输出结果：</p>
<table>
<tbody>
<tr>
<td>
<p>staticfun()&nbsp;is&nbsp;not&nbsp;found!</p>
<p>fun()&nbsp;is&nbsp;found!</p>
</td>
</tr>
</tbody>
</table>
<p>在Test文件中调用fun()函数，而fun()函数中会调用静态函数staticfun()，fun()函数调用的时候是在Test04文件中进行的，所以可以正常运行。</p>
<p>使用静态函数的好处：</p>
<p>1）1.静态函数会被自动分配在一个一直使用的存储区，直到退出应用程序实例，避免了调用函数时压栈出栈，速度快很多。</p>
<p>2）静态函数只能在本文件中被调用，而其他文件不能访问，所以其他文件中可以定义相同名字的函数，不会发生冲突。</p>
<p>应用小结：</p>
<p>存储说明符auto，register，extern，static，对应两种存储期：自动存储期和静态存储期。</p>
<p>auto和register对应自动存储期。具有自动存储期的变量在进入声明该变量的程序块时被建立，它在该程序块活动时存在，退出该程序块时撤销。</p>
<p>关键字extern和static用来说明具有静态存储期的变量和函数。用static声明的局部变量具有静态存储持续期（static&nbsp;storage&nbsp;duration），或静态范围（static&nbsp;extent）。虽然他的值在函数调用之间保持有效，但是其名字的可视性仍限制在其局部域内。静态局部对象在程序执行到该对象的声明处时被首次初始化。</p>
<p>由于static变量的以上特性，可实现一些特定功能。</p>
<p><strong>1．&nbsp;统计次数功能</strong></p>
<p>声明函数的一个局部变量，并设为static类型，作为一个计数器，这样函数每次被调用的时候就可以进行计数。这是统计函数被调用次数的最好的办法，因为这个变量是和函数息息相关的，而函数可能在多个不同的地方被调用，所以从调用者的角度来统计比较困难。</p>
<p>Test06：</p>
<table>
<tbody>
<tr>
<td>
<p>void&nbsp;fun();</p>
<p>int&nbsp;main(){</p>
<p>int&nbsp;i&nbsp;=&nbsp;0;</p>
<p>for(;&nbsp;i&nbsp;&lt;&nbsp;10&nbsp;;&nbsp;i++){</p>
<p>fun();</p>
<p>}</p>
<p>return&nbsp;0;</p>
<p>}</p>
<p>void&nbsp;fun(){</p>
<p>static&nbsp;int&nbsp;count&nbsp;=&nbsp;0;</p>
<p>count++;</p>
<p>printf("count=%d\n",count);</p>
<p>}</p>
</td>
</tr>
</tbody>
</table>
<p>输出结果：</p>
<table>
<tbody>
<tr>
<td>
<p>count=1</p>
<p>count=2</p>
<p>count=3</p>
<p>count=4</p>
<p>count=5</p>
<p>count=6</p>
<p>count=7</p>
<p>count=8</p>
<p>count=9</p>
<p>count=10</p>
</td>
</tr>
</tbody>
</table>
<p>因为在fun函数中定义了一个静态局部变量count，count在程序运行的整个过程都是存在的，在函数fun外面是无法访问的，但是每次调用fun函数都是对count进行操作，而且要注意的是count只是定义一次，定义完成后就占着一个空间，每次调用fun函数的时候就对count赋值，而不是每次调用都要重新定义。</p>
<p>static对全局变量的修饰，可以认为是限制了只能是本文件引用此变量。有的程序是由好多.c文件构成。彼此可以互相引用变量，但加入static修饰之后，只能被本文件中函数引用此变量。</p>
<p>static对栈变量的修饰，可以认为栈变量的生命周期延长到程序执行结束时。一般来说，栈变量的生命周期由OS管理，在退栈的过程中，栈变量的生命也就结束了。但加入static修饰之后，变量已经不在存储在栈中，而是和全局变量一起存储。同时，离开定义它的函数后不能使用，但如再次调用定义它的函数时，它又可继续使用，&nbsp;而且保存了前次被调用后留下的值。</p>
<p>static对函数的修饰与对全局变量的修饰相似，只能被本文件中的函数调用，而不能被同一程序其它文件中的函数调用。</p>
<p>static&nbsp;声明的变量在C语言中有两方面的特征：</p>
<p>1)、变量会被放在程序的全局存储区中，这样可以在下一次调用的时候还可以保持原来的赋值。这一点是它与堆栈变量和堆变量的区别。</p>
<p>2)、变量用static告知编译器，自己仅仅在变量的作用范围内可见。这一点是它与全局变量的区别。</p>
<p>问题：Static的理解</p>
<p>关于static变量，请选择下面所有说法正确的内容：</p>
<p>A、若全局变量仅在单个C文件中访问，则可以将这个变量修改为静态全局变量，以降低模块间的耦合度；</p>
<p>B、若全局变量仅由单个函数访问，则可以将这个变量改为该函数的静态局部变量，以降低模块间的耦合度；</p>
<p>C、设计和使用访问动态全局变量、静态全局变量、静态局部变量的函数时，需要考虑重入问题；</p>
<p>D、静态全局变量过大，可那会导致堆栈溢出。</p>
<p>答案与分析：</p>
<p>对于A，B：根据本篇概述部分的说明b)，我们知道，A,B都是正确的。</p>
<p>对于C：根据本篇概述部分的说明a)，我们知道，C是正确的（所谓的函数重入问题，下面会详细阐述）。</p>
<p>对于D：静态变量放在程序的全局数据区，而不是在堆栈中分配，所以不可能导致堆栈溢出，D是错误的。</p>
<p>因此，答案是A、B、C。</p>
<p>问题：不可重入函数</p>
<p>曾经设计过如下一个函数，在代码检视的时候被提醒有bug，因为这个函数是不可重入的，为什么？</p>
<table>
<tbody>
<tr>
<td>
<p>unsigned&nbsp;int&nbsp;sum_int(&nbsp;unsigned&nbsp;int&nbsp;base&nbsp;)</p>
<p>unsigned&nbsp;int&nbsp;index;</p>
<p>static&nbsp;unsigned&nbsp;int&nbsp;sum=0;</p>
<p>for(index=1;index&nbsp;&lt;=&nbsp;base;&nbsp;index++){</p>
<p>sum+=index;</p>
<p>}</p>
<p>return&nbsp;sum;</p>
<p>}</p>
</td>
</tr>
</tbody>
</table>
<p>答案与分析：</p>
<p>所谓的函数是可重入的（也可以说是可预测的），即：只要输入数据相同就应产生相同的输出。</p>
<p>这个函数之所以是不可预测的，就是因为函数中使用了static变量，因为static变量的特征，这样的函数被称为：带&ldquo;内部存储器&rdquo;功能的的函数。因此如果我们需要一个可重入的函数，那么，我们一定要避免函数中使用static变量，这种函数中的static变量，使用原则是，能不用尽量不用。</p>
<p>将上面的函数修改为可重入的函数很简单，只要将声明sum变量中的static关键字去掉，变量sum即变为一个auto&nbsp;类型的变量，函数即变为一个可重入的函数。</p>
<p>当然，有些时候，在函数中是必须要使用static变量的，比如当某函数的返回值为指针类型时，则必须是static的局部变量的地址作为返回值，若为auto类型，则返回为错指针。</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/2q7jmlxq.html">IOS沙盒中的Documents、Library、tmp区别</a>
		</li>
						<li><a href="https://www.batexi.com/a/0qw6nyl9.html">codeforces  B&period; Permutation  解题报告</a>
		</li>
						<li><a href="https://www.batexi.com/a/8z1kxgd9.html">配置visual studio code进行asp&period;net core rc2的开发&lpar;转载jeffreywu&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/96om4gv9.html">React事件属性</a>
		</li>
						<li><a href="https://www.batexi.com/a/93x7y609.html">Please ensure that adb is correctly located at&hellip;&hellip;问题解决方案</a>
		</li>
						<li><a href="https://www.batexi.com/a/8z1p3jd9.html">Windows2012中安装PHP-5&period;6&period;20&plus;Apache httpd2&period;4&period;18&plus;Composer&plus;Laravel&plus;MySQL5&period;7</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4yv1w3q.html">【小TIP】记录各种错误【更新中】</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2w43zwq.html">android repo库的创建及代码管理</a>
		</li>
						<li><a href="https://www.batexi.com/a/950m4x68.html">Kafka 0&period;8源码分析&mdash;ZookeeperConsumerConnector</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pdyo179.html">【CJOJ2316】【模板】可持久化线段树</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1koml29.html">kubernetes关键概念总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy1jpjxq.html">《Systems Performance》阅读笔记及收获</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4zowjj9.html">apache-jmeter-5&period;0的简单压力测试使用方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kpxepj9.html">python学习相关知识点</a>
		</li>
						<li><a href="https://www.batexi.com/a/90rrr249.html">SVM探讨</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1rrdez8.html">原生JS实现弹幕效果</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdwx16x9.html">python第十九天&mdash;&mdash;感冒中</a>
		</li>
						<li><a href="https://www.batexi.com/a/960ee2j9.html">GBDT&lpar;Gradient Boosting Decision Tree&rpar; 没有实现仅仅有原理</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv24m3j9.html">Laravel-初体验笔记</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zydjdx9.html">php 指定页面显示所有报错</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8e1xz4m9.html">ORA-12012 error on auto execute of job 8887</a>
			</li>
						<li><a href="https://www.batexi.com/a/qlmx6gk9.html">poj 3250 Bad Hair Day 单调栈入门</a>
			</li>
						<li><a href="https://www.batexi.com/a/96o4xo39.html">Mysql zip压缩包安装</a>
			</li>
						<li><a href="https://www.batexi.com/a/93x6ex09.html">Anagrams问题</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gmx2jl9.html">&lbrack;C和指针&rsqb; rearrange&period;c</a>
			</li>
						<li><a href="https://www.batexi.com/a/8e1xnnz9.html">Unity3d Shader开发（三）Pass（Texturing ）</a>
			</li>
						<li><a href="https://www.batexi.com/a/93x607w9.html">python eval函数</a>
			</li>
						<li><a href="https://www.batexi.com/a/8k1d3g59.html">使用jackson对Java对象与JSON字符串相互转换的一些总结</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gmxnwz9.html">U盘、移动硬盘提示格式化的处理</a>
			</li>
						<li><a href="https://www.batexi.com/a/8oko4219.html">C&num;操作Access</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
